/**
 * lincomb.h
 *
 * $Id: lincomrw.h_v 1.6 2006/11/10 17:46:52 dfriberg Exp $
 *
 * $Log: lincomrw.h_v $
 * Revision 1.6  2006/11/10 17:46:52  dfriberg
 * Remove legacy structures
 *
 * Revision 1.5  2005/03/31 16:43:18  fileserver!dwilliss
 * Rename one of our types to MIUNICODE because it conflicted with a Microsoft #define
 *
 * Revision 1.4  2004/03/26 21:14:30  mju
 * Include stddefns
 *
 * Revision 1.3  2000/10/16 16:36:59  mju
 * Ugh const.
 *
 * Revision 1.2  2000/10/16 16:17:21  mju
 * Use const for filename.
 *
 * Revision 1.1  1999/12/13 14:37:21  mju
 * Initial revision
 *
**/

#ifndef INC_MI32_STDDEFNS_H
#include <mi32/stddefns.h>
#endif

class MIMATRIX;
class MISTRINGLIST;
class MISTRING;
class FILEPATH;

ERRVALUE LinearCombinationArrayRead (
	MIMATRIX& matrix,
	MIMATRIX& offsets,
	MISTRINGLIST& outrastnames,
	const MISTRINGLIST& inrastnames, //! Matches against saved results
	const FILEPATH& filepath
	);

ERRVALUE LinearCombinationArrayWrite (
	const MIMATRIX& matrix,
	const MIMATRIX& offsets,
	const MISTRINGLIST& inrastnames,
	const MISTRINGLIST& outrastnames,
	const FILEPATH& fp
	);

