/**
 * \file gre/smlhelper.h
 * \brief SML implementation helper functions
 *
 * \if NODOC
 * $Id: smlhelper.h_v 1.3 2013/02/15 20:49:48 mju Exp $
 *
 * $Log: smlhelper.h_v $
 * Revision 1.3  2013/02/15 20:49:48  mju
 * Fix dox hdr.
 *
 * Revision 1.2  2007/04/20 13:36:27  mju
 * Add createLayerMgr helper.
 *
 * Revision 1.1  2005/10/14 17:32:44  mju
 * Initial revision
 *
 * \endif
**/

#ifndef	INC_GRE_SMLHELPER_H
#define	INC_GRE_SMLHELPER_H

extern "C" {

void *_gresmlCreateLayerMgr (MDLGPARENT dlgparent, GRE::GROUP *group);
void _gresmlGetCallbackList (SMLCONTEXT *context, SMLCLASSMEMBER *member, void *vdata, SMLARG *ret);
void _gresmlGetLayerDataTip (SMLCONTEXT *context, SMLCLASSMEMBER *member, void *vdata, SMLARG *ret);
void _gresmlGetLayerMgrComponent (SMLCONTEXT *context, SMLCLASSMEMBER *member, void *vdata, SMLARG *ret);
void _gresmlSetLayerDataTipMode (SMLCONTEXT *context, SMLCLASSMEMBER *member, void *vdata, SMLARG *val);

}

#endif	// INC_GRE_SMLHELPER_H
